@scalar/api-reference 1.44.18 → 1.44.23
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CHANGELOG.md +195 -0
- package/dist/blocks/scalar-client-selector-block/components/ClientSelector.vue.js +1 -1
- package/dist/blocks/scalar-server-selector-block/components/Selector.vue.js +2 -2
- package/dist/blocks/scalar-server-selector-block/components/ServerSelector.vue.js +3 -3
- package/dist/browser/standalone.js +18051 -17957
- package/dist/browser/webpack-stats.json +1 -1
- package/dist/components/ApiReference.vue.d.ts.map +1 -1
- package/dist/components/ApiReference.vue.js +1 -1
- package/dist/components/ApiReference.vue2.js +19 -2
- package/dist/components/Content/Auth/Auth.vue.d.ts.map +1 -1
- package/dist/components/Content/Auth/Auth.vue.js +2 -1
- package/dist/features/Operation/components/ParameterListItem.vue.d.ts.map +1 -1
- package/dist/features/Operation/components/ParameterListItem.vue.js +1 -1
- package/dist/features/Operation/components/ParameterListItem.vue2.js +1 -3
- package/dist/features/Operation/layouts/ModernLayout.vue.d.ts.map +1 -1
- package/dist/features/Operation/layouts/ModernLayout.vue.js +1 -1
- package/dist/features/example-responses/ExampleResponseTab.vue.js +1 -1
- package/dist/features/example-responses/ExampleResponses.vue.d.ts.map +1 -1
- package/dist/features/example-responses/ExampleResponses.vue.js +1 -1
- package/dist/features/example-responses/ExampleResponses.vue2.js +1 -0
- package/dist/helpers/index.d.ts +2 -0
- package/dist/helpers/index.d.ts.map +1 -1
- package/dist/helpers/index.js +5 -0
- package/dist/helpers/storage.d.ts +133 -15
- package/dist/helpers/storage.d.ts.map +1 -1
- package/dist/plugins/index.d.ts +1 -0
- package/dist/plugins/index.d.ts.map +1 -1
- package/dist/plugins/index.js +2 -0
- package/dist/standalone/lib/html-api.js +1 -1
- package/dist/style.css +227 -196
- package/package.json +15 -15
package/CHANGELOG.md
CHANGED
|
@@ -1,5 +1,200 @@
|
|
|
1
1
|
# @scalar/api-reference
|
|
2
2
|
|
|
3
|
+
## 1.44.23
|
|
4
|
+
|
|
5
|
+
### Patch Changes
|
|
6
|
+
|
|
7
|
+
- [#8212](https://github.com/scalar/scalar/pull/8212): chore: version bump
|
|
8
|
+
|
|
9
|
+
#### Updated Dependencies
|
|
10
|
+
|
|
11
|
+
- **@scalar/api-client@2.29.1**
|
|
12
|
+
- [#8212](https://github.com/scalar/scalar/pull/8212): chore: version bump
|
|
13
|
+
|
|
14
|
+
- **@scalar/helpers@0.2.15**
|
|
15
|
+
- [#8212](https://github.com/scalar/scalar/pull/8212): chore: version bump
|
|
16
|
+
|
|
17
|
+
- **@scalar/oas-utils@0.6.45**
|
|
18
|
+
- [#8212](https://github.com/scalar/scalar/pull/8212): chore: version bump
|
|
19
|
+
|
|
20
|
+
- **@scalar/sidebar@0.7.38**
|
|
21
|
+
- [#8212](https://github.com/scalar/scalar/pull/8212): chore: version bump
|
|
22
|
+
|
|
23
|
+
- **@scalar/types@0.6.6**
|
|
24
|
+
- [#8212](https://github.com/scalar/scalar/pull/8212): chore: version bump
|
|
25
|
+
|
|
26
|
+
- **@scalar/workspace-store@0.34.1**
|
|
27
|
+
- [#8212](https://github.com/scalar/scalar/pull/8212): chore: version bump
|
|
28
|
+
|
|
29
|
+
- **@scalar/agent-chat@0.5.14**
|
|
30
|
+
|
|
31
|
+
- **@scalar/components@0.19.7**
|
|
32
|
+
|
|
33
|
+
- **@scalar/openapi-parser@0.24.13**
|
|
34
|
+
|
|
35
|
+
- **@scalar/snippetz@0.6.15**
|
|
36
|
+
|
|
37
|
+
## 1.44.22
|
|
38
|
+
|
|
39
|
+
### Patch Changes
|
|
40
|
+
|
|
41
|
+
- [#8207](https://github.com/scalar/scalar/pull/8207): chore: version bump
|
|
42
|
+
|
|
43
|
+
#### Updated Dependencies
|
|
44
|
+
|
|
45
|
+
- **@scalar/workspace-store@0.34.0**
|
|
46
|
+
- [#8198](https://github.com/scalar/scalar/pull/8198): feat: handle workspace rename
|
|
47
|
+
- [#8208](https://github.com/scalar/scalar/pull/8208): fix: unpack proxy before assigning
|
|
48
|
+
- [#8207](https://github.com/scalar/scalar/pull/8207): chore: version bump
|
|
49
|
+
|
|
50
|
+
- **@scalar/api-client@2.29.0**
|
|
51
|
+
- [#8198](https://github.com/scalar/scalar/pull/8198): feat: handle workspace rename
|
|
52
|
+
- [#8207](https://github.com/scalar/scalar/pull/8207): chore: version bump
|
|
53
|
+
|
|
54
|
+
- **@scalar/helpers@0.2.14**
|
|
55
|
+
- [#8207](https://github.com/scalar/scalar/pull/8207): chore: version bump
|
|
56
|
+
|
|
57
|
+
- **@scalar/oas-utils@0.6.44**
|
|
58
|
+
- [#8207](https://github.com/scalar/scalar/pull/8207): chore: version bump
|
|
59
|
+
|
|
60
|
+
- **@scalar/sidebar@0.7.37**
|
|
61
|
+
- [#8207](https://github.com/scalar/scalar/pull/8207): chore: version bump
|
|
62
|
+
|
|
63
|
+
- **@scalar/types@0.6.5**
|
|
64
|
+
- [#8207](https://github.com/scalar/scalar/pull/8207): chore: version bump
|
|
65
|
+
|
|
66
|
+
- **@scalar/agent-chat@0.5.13**
|
|
67
|
+
|
|
68
|
+
- **@scalar/components@0.19.6**
|
|
69
|
+
|
|
70
|
+
- **@scalar/openapi-parser@0.24.12**
|
|
71
|
+
|
|
72
|
+
- **@scalar/snippetz@0.6.14**
|
|
73
|
+
|
|
74
|
+
## 1.44.21
|
|
75
|
+
|
|
76
|
+
### Patch Changes
|
|
77
|
+
|
|
78
|
+
- [#8164](https://github.com/scalar/scalar/pull/8164): fix: remove duplicate examples
|
|
79
|
+
- [#8186](https://github.com/scalar/scalar/pull/8186): feat(api-reference): export new helpers
|
|
80
|
+
- [#8174](https://github.com/scalar/scalar/pull/8174): feat: add `createAnySecurityScheme` config option to control generic auth scheme creation
|
|
81
|
+
|
|
82
|
+
#### Updated Dependencies
|
|
83
|
+
|
|
84
|
+
- **@scalar/workspace-store@0.33.0**
|
|
85
|
+
- [#8162](https://github.com/scalar/scalar/pull/8162): feat: allow editing tags
|
|
86
|
+
- [#8151](https://github.com/scalar/scalar/pull/8151): fix: resolve external references on windows
|
|
87
|
+
- [#8191](https://github.com/scalar/scalar/pull/8191): chore: rename create document command
|
|
88
|
+
- [#8199](https://github.com/scalar/scalar/pull/8199): feat: create draft example
|
|
89
|
+
- [#7826](https://github.com/scalar/scalar/pull/7826): feat: added migrator for v1 local storage to v2 indexdb
|
|
90
|
+
- [#8160](https://github.com/scalar/scalar/pull/8160): fix: update sidebar entry when the operation summary changes
|
|
91
|
+
- [#8133](https://github.com/scalar/scalar/pull/8133): fix: allow editing content-type query parameters in the API client
|
|
92
|
+
|
|
93
|
+
- **@scalar/api-client@2.28.0**
|
|
94
|
+
- [#8162](https://github.com/scalar/scalar/pull/8162): feat: allow editing tags
|
|
95
|
+
- [#8167](https://github.com/scalar/scalar/pull/8167): Accept header now defaults to the response content types defined in the OpenAPI spec instead of always using _/_
|
|
96
|
+
- [#8197](https://github.com/scalar/scalar/pull/8197): fix: include path in redirect uri
|
|
97
|
+
- [#8132](https://github.com/scalar/scalar/pull/8132): chore: unify the app and web layout
|
|
98
|
+
- [#8191](https://github.com/scalar/scalar/pull/8191): chore: rename create document command
|
|
99
|
+
- [#8199](https://github.com/scalar/scalar/pull/8199): feat: create draft example
|
|
100
|
+
- [#7826](https://github.com/scalar/scalar/pull/7826): feat: added migrator for v1 local storage to v2 indexdb
|
|
101
|
+
- [#8194](https://github.com/scalar/scalar/pull/8194): fix: correctly display the env pill on light mode
|
|
102
|
+
- [#8204](https://github.com/scalar/scalar/pull/8204): fix: remove DocumentRedirect component
|
|
103
|
+
- [#8160](https://github.com/scalar/scalar/pull/8160): fix: update sidebar entry when the operation summary changes
|
|
104
|
+
- [#8174](https://github.com/scalar/scalar/pull/8174): feat: add `createAnySecurityScheme` config option to control generic auth scheme creation
|
|
105
|
+
|
|
106
|
+
- **@scalar/sidebar@0.7.36**
|
|
107
|
+
- [#8162](https://github.com/scalar/scalar/pull/8162): feat: allow editing tags
|
|
108
|
+
- [#8190](https://github.com/scalar/scalar/pull/8190): fix: align HttpMethod badge positioning for folders
|
|
109
|
+
|
|
110
|
+
- **@scalar/oas-utils@0.6.43**
|
|
111
|
+
- [#7826](https://github.com/scalar/scalar/pull/7826): feat: added migrator for v1 local storage to v2 indexdb
|
|
112
|
+
|
|
113
|
+
- **@scalar/helpers@0.2.13**
|
|
114
|
+
- [#7826](https://github.com/scalar/scalar/pull/7826): feat: added migrator for v1 local storage to v2 indexdb
|
|
115
|
+
|
|
116
|
+
- **@scalar/types@0.6.4**
|
|
117
|
+
- [#8174](https://github.com/scalar/scalar/pull/8174): feat: add `createAnySecurityScheme` config option to control generic auth scheme creation
|
|
118
|
+
|
|
119
|
+
- **@scalar/agent-chat@0.5.12**
|
|
120
|
+
|
|
121
|
+
- **@scalar/openapi-parser@0.24.11**
|
|
122
|
+
|
|
123
|
+
- **@scalar/components@0.19.5**
|
|
124
|
+
|
|
125
|
+
- **@scalar/snippetz@0.6.13**
|
|
126
|
+
|
|
127
|
+
## 1.44.20
|
|
128
|
+
|
|
129
|
+
### Patch Changes
|
|
130
|
+
|
|
131
|
+
- [#8159](https://github.com/scalar/scalar/pull/8159): fix: do not mutate document after ingress
|
|
132
|
+
- [#8178](https://github.com/scalar/scalar/pull/8178): chore: package bump due to ci failure
|
|
133
|
+
|
|
134
|
+
#### Updated Dependencies
|
|
135
|
+
|
|
136
|
+
- **@scalar/workspace-store@0.32.1**
|
|
137
|
+
- [#8159](https://github.com/scalar/scalar/pull/8159): fix: do not mutate document after ingress
|
|
138
|
+
- [#8178](https://github.com/scalar/scalar/pull/8178): chore: package bump due to ci failure
|
|
139
|
+
|
|
140
|
+
- **@scalar/api-client@2.27.1**
|
|
141
|
+
- [#8159](https://github.com/scalar/scalar/pull/8159): fix: do not mutate document after ingress
|
|
142
|
+
- [#8158](https://github.com/scalar/scalar/pull/8158): fix: disable all listeners when modal is closed
|
|
143
|
+
- [#8178](https://github.com/scalar/scalar/pull/8178): chore: package bump due to ci failure
|
|
144
|
+
|
|
145
|
+
- **@scalar/agent-chat@0.5.11**
|
|
146
|
+
- [#8178](https://github.com/scalar/scalar/pull/8178): chore: package bump due to ci failure
|
|
147
|
+
|
|
148
|
+
- **@scalar/components@0.19.4**
|
|
149
|
+
- [#8178](https://github.com/scalar/scalar/pull/8178): chore: package bump due to ci failure
|
|
150
|
+
|
|
151
|
+
- **@scalar/helpers@0.2.12**
|
|
152
|
+
- [#8178](https://github.com/scalar/scalar/pull/8178): chore: package bump due to ci failure
|
|
153
|
+
|
|
154
|
+
- **@scalar/sidebar@0.7.35**
|
|
155
|
+
- [#8178](https://github.com/scalar/scalar/pull/8178): chore: package bump due to ci failure
|
|
156
|
+
|
|
157
|
+
- **@scalar/oas-utils@0.6.42**
|
|
158
|
+
|
|
159
|
+
- **@scalar/openapi-parser@0.24.10**
|
|
160
|
+
|
|
161
|
+
- **@scalar/types@0.6.3**
|
|
162
|
+
|
|
163
|
+
- **@scalar/snippetz@0.6.12**
|
|
164
|
+
|
|
165
|
+
## 1.44.19
|
|
166
|
+
|
|
167
|
+
### Patch Changes
|
|
168
|
+
|
|
169
|
+
- [#8155](https://github.com/scalar/scalar/pull/8155): fix(api-reference): bugs with cards rendering
|
|
170
|
+
|
|
171
|
+
#### Updated Dependencies
|
|
172
|
+
|
|
173
|
+
- **@scalar/workspace-store@0.32.0**
|
|
174
|
+
- [#8135](https://github.com/scalar/scalar/pull/8135): feat: added support for OpenID Connect Discovery
|
|
175
|
+
- [#8152](https://github.com/scalar/scalar/pull/8152): feat: support custom themes
|
|
176
|
+
|
|
177
|
+
- **@scalar/api-client@2.27.0**
|
|
178
|
+
- [#8135](https://github.com/scalar/scalar/pull/8135): feat: added support for OpenID Connect Discovery
|
|
179
|
+
- [#8149](https://github.com/scalar/scalar/pull/8149): fix: prefill parameter inputs from parameter-level examples
|
|
180
|
+
- [#8155](https://github.com/scalar/scalar/pull/8155): fix(api-reference): bugs with cards rendering
|
|
181
|
+
- [#8138](https://github.com/scalar/scalar/pull/8138): chore: some minor style and ui updates
|
|
182
|
+
- [#8152](https://github.com/scalar/scalar/pull/8152): feat: support custom themes
|
|
183
|
+
- [#8157](https://github.com/scalar/scalar/pull/8157): fix: navigate to workspace settings from the menu
|
|
184
|
+
- [#8154](https://github.com/scalar/scalar/pull/8154): fix: scrolling issues in client modal
|
|
185
|
+
- [#8156](https://github.com/scalar/scalar/pull/8156): fix: only trigger send request when client is open
|
|
186
|
+
|
|
187
|
+
- **@scalar/agent-chat@0.5.10**
|
|
188
|
+
- [#8155](https://github.com/scalar/scalar/pull/8155): fix(api-reference): bugs with cards rendering
|
|
189
|
+
- [#8148](https://github.com/scalar/scalar/pull/8148): fix: document loading states
|
|
190
|
+
|
|
191
|
+
- **@scalar/components@0.19.3**
|
|
192
|
+
- [#8155](https://github.com/scalar/scalar/pull/8155): fix(api-reference): bugs with cards rendering
|
|
193
|
+
|
|
194
|
+
- **@scalar/oas-utils@0.6.41**
|
|
195
|
+
|
|
196
|
+
- **@scalar/sidebar@0.7.34**
|
|
197
|
+
|
|
3
198
|
## 1.44.18
|
|
4
199
|
|
|
5
200
|
### Patch Changes
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
import _sfc_main from "./ClientSelector.vue2.js";
|
|
2
2
|
/* empty css */
|
|
3
3
|
import _export_sfc from "../../../_virtual/_plugin-vue_export-helper.js";
|
|
4
|
-
const ClientSelector = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-
|
|
4
|
+
const ClientSelector = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-dd2e9b07"]]);
|
|
5
5
|
export {
|
|
6
6
|
ClientSelector as default
|
|
7
7
|
};
|
|
@@ -4,7 +4,7 @@ import { ScalarIconCaretDown } from "@scalar/icons";
|
|
|
4
4
|
const _hoisted_1 = { class: "overflow-x-auto" };
|
|
5
5
|
const _hoisted_2 = {
|
|
6
6
|
key: 1,
|
|
7
|
-
class: "text-c-1 flex h-auto w-full items-center gap-0.75 rounded-b-
|
|
7
|
+
class: "text-c-1 flex h-auto w-full items-center gap-0.75 !rounded-b-xl px-3 py-1.5 text-base leading-[20px] whitespace-nowrap"
|
|
8
8
|
};
|
|
9
9
|
const _hoisted_3 = { class: "overflow-x-auto" };
|
|
10
10
|
const _sfc_main = /* @__PURE__ */ defineComponent({
|
|
@@ -49,7 +49,7 @@ const _sfc_main = /* @__PURE__ */ defineComponent({
|
|
|
49
49
|
}, {
|
|
50
50
|
default: withCtx(() => [
|
|
51
51
|
createVNode(unref(ScalarButton), {
|
|
52
|
-
class: "bg-b-1 text-c-1 h-auto w-full justify-start gap-1.5 overflow-x-auto rounded-t-none rounded-b-
|
|
52
|
+
class: "bg-b-1 text-c-1 h-auto w-full justify-start gap-1.5 overflow-x-auto rounded-t-none !rounded-b-xl px-3 py-1.5 text-base font-normal whitespace-nowrap -outline-offset-1",
|
|
53
53
|
variant: "ghost"
|
|
54
54
|
}, {
|
|
55
55
|
default: withCtx(() => [
|
|
@@ -32,11 +32,11 @@ const _sfc_main = /* @__PURE__ */ defineComponent({
|
|
|
32
32
|
};
|
|
33
33
|
return (_ctx, _cache) => {
|
|
34
34
|
return openBlock(), createElementBlock(Fragment, null, [
|
|
35
|
-
_cache[0] || (_cache[0] = createElementVNode("label", { class: "bg-b-2 flex h-8 items-center rounded-t-
|
|
35
|
+
_cache[0] || (_cache[0] = createElementVNode("label", { class: "bg-b-2 flex h-8 items-center rounded-t-xl border border-b-0 px-3 py-2.5 font-medium" }, " Server ", -1)),
|
|
36
36
|
createElementVNode("div", {
|
|
37
37
|
id: unref(id),
|
|
38
38
|
class: normalizeClass(["border", {
|
|
39
|
-
"rounded-b-
|
|
39
|
+
"rounded-b-xl": !__props.selectedServer?.description && !__props.selectedServer?.variables
|
|
40
40
|
}])
|
|
41
41
|
}, [
|
|
42
42
|
__props.servers.length ? (openBlock(), createBlock(_sfc_main$1, {
|
|
@@ -54,7 +54,7 @@ const _sfc_main = /* @__PURE__ */ defineComponent({
|
|
|
54
54
|
}, null, 8, ["variables"]),
|
|
55
55
|
__props.selectedServer?.description ? (openBlock(), createBlock(unref(ScalarMarkdown), {
|
|
56
56
|
key: 0,
|
|
57
|
-
class: "text-c-3 rounded-b-
|
|
57
|
+
class: "text-c-3 rounded-b-xl border border-t-0 px-3 py-1.5",
|
|
58
58
|
value: __props.selectedServer.description
|
|
59
59
|
}, null, 8, ["value"])) : createCommentVNode("", true)
|
|
60
60
|
], 64);
|